Table of Contents

Class: ReactorBase | Twisted-0.19.0/twisted/internet/base.py
--- | ---
Default base class for Reactors.
Methods |
--- | ---
__init__ _cbContinueSystemEvent _continueSystemEvent addReader addSystemEventTrigger addWriter callFromThread callInThread callLater cancelCallLater | crash disconnectAll doIteration fireSystemEvent initThreads installWaker iterate removeAll removeReader removeSystemEventTrigger | removeWriter resolve runUntilCurrent sigBreak sigInt sigTerm stop suggestThreadPoolSize timeout wakeUp
| __init__
    __init__ ( self )
| _cbContinueSystemEvent
    _cbContinueSystemEvent (
            self,
            result,
            eventType,
            )
| _continueSystemEvent
    _continueSystemEvent ( self,  eventType )
| addReader
    addReader ( self,  reader )
Exceptions |
--- | ---
NotImplementedError
| addSystemEventTrigger
    addSystemEventTrigger (
            self,
            phase,
            eventType,
            f,
            *args,
            *kw,
            )
See twisted.internet.interfaces.IReactorCore.addSystemEventTrigger.
| addWriter
    addWriter ( self,  writer )
Exceptions |
--- | ---
NotImplementedError
| callFromThread
    callFromThread (
            self,
            f,
            *args,
            *kw,
            )
See twisted.internet.interfaces.IReactorCore.callFromThread.
| callInThread
    callInThread (
            self,
            callable,
            *args,
            *kwargs,
            )
| callLater
    callLater (
            self,
            seconds,
            f,
            *args,
            *kw,
            )
See twisted.internet.interfaces.IReactorTime.callLater.
| cancelCallLater
    cancelCallLater ( self,  callID )
See twisted.internet.interfaces.IReactorTime.cancelCallLater.
| crash
    crash ( self )
See twisted.internet.interfaces.IReactorCore.crash.
| disconnectAll
    disconnectAll ( self )
Disconnect every reader, and writer in the system.
| doIteration
    doIteration ( self )
Do one iteration over the readers and writers we know about.
Exceptions |
--- | ---
NotImplementedError
| fireSystemEvent
    fireSystemEvent ( self,  eventType )
See twisted.internet.interfaces.IReactorCore.fireSystemEvent.
| initThreads
    initThreads ( self )
| installWaker
    installWaker ( self )
Exceptions |
--- | ---
NotImplementedError()
| iterate
    iterate ( self,  delay=0 )
See twisted.internet.interfaces.IReactorCore.iterate.
| removeAll
    removeAll ( self )
Exceptions |
--- | ---
NotImplementedError
| removeReader
    removeReader ( self,  reader )
Exceptions |
--- | ---
NotImplementedError
| removeSystemEventTrigger
    removeSystemEventTrigger ( self,  triggerID )
See twisted.internet.interfaces.IReactorCore.removeSystemEventTrigger.
| removeWriter
    removeWriter ( self,  writer )
Exceptions |
--- | ---
NotImplementedError
| resolve
    resolve (
            self,
            name,
            type=1,
            timeout=10,
            )
Return a Deferred that will resolve a hostname.
| runUntilCurrent
    runUntilCurrent ( self )
Run all pending timed calls.
| sigBreak
    sigBreak ( self,  *args )
Handle a SIGBREAK interrupt.
| sigInt
    sigInt ( self,  *args )
Handle a SIGINT interrupt.
| sigTerm
    sigTerm ( self,  *args )
Handle a SIGTERM interrupt.
| stop
    stop ( self )
See twisted.internet.interfaces.IReactorCore.stop.
| suggestThreadPoolSize
    suggestThreadPoolSize ( self,  size )
| timeout
    timeout ( self )
| wakeUp
    wakeUp ( self )
Wake up the event loop.

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:41 2002 by HappyDoc version 2.0